Bug 21654 - Installer is loading a non-existent file
Summary: Installer is loading a non-existent file
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14048
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-24 22:49 UTC by Jonathan Druart
Modified: 2018-11-28 10:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21654: Remove refund_lost_item_fee_rules.sql from the installer process (1.20 KB, patch)
2018-10-24 22:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21654: Remove refund_lost_item_fee_rules.sql from the installer process (1.25 KB, patch)
2018-10-25 00:41 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 21654: Remove refund_lost_item_fee_rules.sql from the installer process (1.31 KB, patch)
2018-10-26 13:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-24 22:49:01 UTC
installer/data/mysql/mandatory/refund_lost_item_fee_rules.sql

But this file has been removed by 14048
Comment 1 Jonathan Druart 2018-10-24 22:53:31 UTC
Created attachment 81102 [details] [review]
Bug 21654: Remove refund_lost_item_fee_rules.sql from the installer process

This is a follow-up patch for bug 14048 comment 97

Test plan:
  git grep refund_lost_item_fee_rules.sql
should not return any results
Comment 2 M. Tompsett 2018-10-25 00:41:55 UTC
Created attachment 81104 [details] [review]
Bug 21654: Remove refund_lost_item_fee_rules.sql from the installer process

This is a follow-up patch for bug 14048 comment 97

Test plan:
  git grep refund_lost_item_fee_rules.sql
should not return any results

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Katrin Fischer 2018-10-26 13:41:53 UTC
Created attachment 81290 [details] [review]
Bug 21654: Remove refund_lost_item_fee_rules.sql from the installer process

This is a follow-up patch for bug 14048 comment 97

Test plan:
  git grep refund_lost_item_fee_rules.sql
should not return any results

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-10-26 17:24:52 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-06 15:23:27 UTC
Pushed to 18.05.x for 18.05.06
Comment 6 Fridolin SOMERS 2018-11-28 10:20:52 UTC
Pushed to 17.11.x for 17.11.13